Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2000-AVI-012

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 29 juin 2000
No CERTA-2000-AVI-012

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilité dans « Workshop » cvconnect sous IRIX


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2000-AVI-012

Gestion du document


Tableau 1: gestion du document
Référence CERTA-2000-AVI-012
Titre Vulnérabilité dans « Workshop » cvconnect sous IRIX
Date de la première version 29 juin 2000
Date de la dernière version -
Source(s) Avis K-056 du CIAC
Pièce(s) jointe(s) Aucune
   

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

Ecrasements de fichiers.

De façon générale, un écrasement de fichier peut avoir pour conséquences : une destruction de la configuration de la machine, un accès root à la machine, etc.

2 Systèmes affectés

IRIX 5.3 et 6.1 à 6.5 munis des outils « Workshop Debugger and Performance » versions 2.6 et inférieures.

3 Résumé

Workshop est une suite logicielle d'outils aidant les développeurs à mettre au point les programmes. Le programme « cvconnect » est appelé par ce logiciel.

Une vulnérabilité dans « cvconnect » a été découverte, autorisant n'importe quel utilisateur à l'exécuter.

4 Description

Dans son utilisation normale, « cvconnect » n'est pas utilisé manuellement par l'utilisateur, mais appelé par le fonctionnement de la suite logicielle « WorkShop » .

Or, il a été découvert qu'il est possible à n'importe quel utilisateur possédant un compte local d'exécuter la commande manuellement, en local ou à distance. Cette commande permet à un utilisateur mal intentionné d'écraser n'importe quel fichier du système.


5 Contournement provisoire

Après avoir vérifié la version de « WorkShop », il faut, en ayant accès en root à la machine, supprimer les permissions nuisibles à « cvconnect » .

Pour vérifier la version, utiliser la commande 'version' :

# version -b WorkShop

Pour changer les permissions de « cvconnect », utiliser la commande 'chmod' :

# /bin/chmod 500 /usr/lib/WorkShop/cvconnect

Vérifier les nouvelles permissions :

# ls -l /usr/lib/WorkShop/cvconnect

-r-x--- 1 root sys 428664 Sep 11 1997 cvconnect

6 Solution

Il existe une version 2.7 de « WorkShop » qui corrige le problème. Il faut donc mettre à jour la version de « WorkShop ».

Nota : Cette mise à jour n'est possible que sur les versions 6.2 à 6.5 d'IRIX. Pour les versions 5.3 et 6.1, il faut : soit mettre à jour le système, soit faire la manipulation décrite dans le paragraphe 5.

7 Documentation

Avis du CIAC :

http://www.ciac.org/ciac/bulletins/k-056.shtml

Gestion détaillée du document

29 juin 2000
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-05-29